Public card lookup
curl --request GET \
--url https://tapcoupon.at/api/v1/card/{cardId}import requests
url = "https://tapcoupon.at/api/v1/card/{cardId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://tapcoupon.at/api/v1/card/{cardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tapcoupon.at/api/v1/card/{cardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tapcoupon.at/api/v1/card/{cardId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tapcoupon.at/api/v1/card/{cardId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tapcoupon.at/api/v1/card/{cardId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"cardType": "blankCard",
"id": "<string>",
"cardId": "<string>",
"serialNumber": 123,
"pocketId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"activatedAt": "2023-11-07T05:31:56Z",
"canceledAt": "2023-11-07T05:31:56Z",
"activated": true,
"lifetime": 1,
"description": "<string>",
"amount": 123,
"location": {
"id": "<string>",
"name": "<string>",
"pocketId": "<string>",
"archived": true
},
"createdByEmployeeId": "<string>",
"archived": true,
"testCard": true,
"isLocationBound": true,
"customerEmail": "<string>",
"templateId": "<string>",
"logs": [
{
"createdAt": "2023-11-07T05:31:56Z",
"cardId": "<string>",
"path": "<string>",
"method": "<string>",
"statusCode": 123,
"employeeUsername": "<string>"
}
]
}
]{
"error": "<string>",
"errorCode": "<string>"
}{
"error": "<string>",
"errorCode": "<string>"
}{
"error": "<string>",
"errorCode": "<string>"
}Cards
Public card lookup
Retrieve public card history without an API key.
GET
/
card
/
{cardId}
Public card lookup
curl --request GET \
--url https://tapcoupon.at/api/v1/card/{cardId}import requests
url = "https://tapcoupon.at/api/v1/card/{cardId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://tapcoupon.at/api/v1/card/{cardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tapcoupon.at/api/v1/card/{cardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tapcoupon.at/api/v1/card/{cardId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tapcoupon.at/api/v1/card/{cardId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tapcoupon.at/api/v1/card/{cardId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"cardType": "blankCard",
"id": "<string>",
"cardId": "<string>",
"serialNumber": 123,
"pocketId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"activatedAt": "2023-11-07T05:31:56Z",
"canceledAt": "2023-11-07T05:31:56Z",
"activated": true,
"lifetime": 1,
"description": "<string>",
"amount": 123,
"location": {
"id": "<string>",
"name": "<string>",
"pocketId": "<string>",
"archived": true
},
"createdByEmployeeId": "<string>",
"archived": true,
"testCard": true,
"isLocationBound": true,
"customerEmail": "<string>",
"templateId": "<string>",
"logs": [
{
"createdAt": "2023-11-07T05:31:56Z",
"cardId": "<string>",
"path": "<string>",
"method": "<string>",
"statusCode": 123,
"employeeUsername": "<string>"
}
]
}
]{
"error": "<string>",
"errorCode": "<string>"
}{
"error": "<string>",
"errorCode": "<string>"
}{
"error": "<string>",
"errorCode": "<string>"
}GET /card/{cardId}
Retrieve public card history without an API key.
This endpoint is public. You do not need an API key or employee token.
The response is an array of card instances, including archived history. Account and employee information is sanitized. Use id to identify a particular instance and inspect archived, canceledAt, and activated before showing its state. This endpoint allows 10 requests per minute per IP.
Example request
curl "https://tapcoupon.at/api/v1/card/9866191586296"
Path Parameters
Printed or digital identifier.
Response
Success
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Available options:
blankCard MongoDB object id.
Pattern:
^[a-fA-F0-9]{24}$Reusable printed or digital card identifier.
Lifetime in hours, measured from createdAt; 0 means unlimited.
Required range:
x >= 0Original coupon value in cents, or template amount for other types.
Show child attributes
Show child attributes
MongoDB object id.
Pattern:
^[a-fA-F0-9]{24}$When true, use is restricted to the issuing location.
MongoDB object id.
Pattern:
^[a-fA-F0-9]{24}$Show child attributes
Show child attributes
